<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<dialog name="user_profile" defaultbutton="update">
  <title>Edit Your Profile</title>
  <action>profile.js.vs</action>
  <render-param name="rtgt"/>
  <hidden name="tgt" value=""/>

  <header name="pw_hdr" caption="Password">
    To change your password, enter a new password into the fields below.
  </header>
  <password name="pass1" caption="Password" size="32" maxlength="128"/>
  <password name="pass2" caption="Password" caption2="(retype)" size="32" maxlength="128"/>
  <text name="remind" caption="Password reminder phrase" size="32" maxlength="254"/>

  <header name="name_hdr" caption="Name"/>
  <text name="prefix" caption="Prefix" caption2="(Mr., Ms., etc.)" size="8" maxlength="8"/>
  <text name="first" caption="First Name" required="true" size="32" maxlength="64"/>
  <text name="mid" caption="Middle initial" size="1" maxlength="1"/>
  <text name="last" caption="Last Name" required="true" size="32" maxlength="64"/>
  <text name="suffix" caption="Suffix" caption2="(Jr., III, etc.)" size="16" maxlength="16"/>

  <header name="loc_hdr" caption="Location"/>
  <text name="company" caption="Company" size="32" maxlength="254"/>
  <text name="addr1" caption="Address" size="32" maxlength="254"/>
  <text name="addr2" caption="Address" caption2="(line 2)" size="32" maxlength="254"/>
  <checkbox name="pvt_addr" caption="Hide address in profile"/>
  <text name="loc" caption="City" required="true" size="32" maxlength="64"/>
  <text name="reg" caption="State/Province" required="true" size="32" maxlength="64"/>
  <text name="pcode" caption="Zip/Postal Code" required="true" size="32" maxlength="64"/>
  <countrylist name="country" caption="Country" required="true"/>

  <header name="phone_hdr" caption="Phone Numbers"/>
  <text name="phone" caption="Telephone" size="32" maxlength="32"/>
  <checkbox name="pvt_phone" caption="Hide phone number in profile"/>
  <text name="mobile" caption="Mobile/cellphone" size="32" maxlength="32"/>
  <checkbox name="pvt_mobile" caption="Hide mobile phone number in profile"/>
  <text name="fax" caption="Fax" size="32" maxlength="32"/>
  <checkbox name="pvt_fax" caption="Hide fax number in profile"/>

  <header name="email_hdr" caption="Internet"/>
  <email name="email" caption="E-mail address" required="true" size="32" maxlength="254"/>
  <checkbox name="pvt_email" caption="Hide E-mail address in profile"/>
  <text name="url" caption="Home Page" caption2="(URL)" size="32" maxlength="254"/>

  <header name="pers_hdr" caption="Personal"/>
  <text name="descr" caption="Personal description" size="32" maxlength="254"/>
  <userphoto name="photo" caption="User Photo" link="profile_photo.js.vs?tgt=${rtgt}" type="servlet"/>

  <header name="prefs_hdr" caption="User Preferences"/>
  <checkbox name="no_mass_mail" caption="Don't send me mass E-mail messages"/>
  <localelist name="locale" caption="Default locale" caption2="(for formatting dates/times)" required="true"/>
  <tzlist name="tz" caption="Default time zone" required="true"/>
  <int name="scount" caption="Number of search results per page" required="true" min="5" max="100"/>

  <button name="update"/>
  <button name="cancel"/>
</dialog>
